FROM autoemail
CMD ["/sbin/my_init"]

RUN apt-get update &&\
    apt-get install -y git \
    apt-transport-https \
    ca-certificates \
    curl \
    gnupg2 \
    software-properties-common &&\
    curl -fsSL https://download.docker.com/linux/debian/gpg | sudo apt-key add - && \
    add-apt-repository \
    "deb [arch=amd64] https://download.docker.com/linux/ubuntu \
    $(lsb_release -cs) \
    stable" && \
    apt-get update && \
    apt-get install -y docker-ce &&\
    apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*

RUN echo "Change me."

RUN mkdir /zeppelingrade && \
	    git clone https://gitlab.com/tilo.wiklund/zeppelingrade /zeppelingrade &&\
    mkdir /tests /checks /runs /transforms /tests/all /checks/all /transforms/all

ENV ZEPPELINGRADEID=zeppelingrade DOCKERNETWORK=zeppelingrade-no-internet DATASETSVOLUME=zeppelingrade-datasets RUNTIMEOUT=600

VOLUME /tests
VOLUME /checks
VOLUME /transforms
VOLUME /runs

ADD runzeppelin.sh /scripts/runzeppelin
RUN chmod -R a+x /scripts
